package com.lnb.multidatasourcedemo.controller;

import com.lnb.multidatasourcedemo.service.RouterService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

@RestController
public class RouterController {
    @Autowired
    private RouterService routerService;

    @GetMapping("/goodsale")
    public Object goodsale(@RequestParam String tenantID){
        try {
            String obj = routerService.goodsale(tenantID);
            return "城市名称：" + obj;
        }catch (Exception e){
            return "tenantID:" + tenantID + " 没找到路由";
        }
    }

    @GetMapping("/order")
    public Object order(@RequestParam String tenantID){
        try{
            String obj = routerService.order(tenantID);
            return "商品名称：" + obj;
        }catch (Exception e){
            return "tenantID:" + tenantID + " 没找到路由";
        }
    }

    @GetMapping("/stock")
    public Object stock(@RequestParam String tenantID){
        try{
            String obj = routerService.stock(tenantID);
            return "供应商名称：" + obj;
        }catch (Exception e){
            return "tenantID:" + tenantID + " 没找到路由";
        }

    }
}
