package com.lnb.multidatasourcedemo.service;

import com.lnb.multidatasourcedemo.dao.RouterDao;
import com.lnb.multidatasourcedemo.holder.DataSourceContextHolder;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class RouterService {
    @Autowired
    private RouterDao routerDao;


    public String goodsale(String tenantID) throws Exception  {
        String appName = "goodsale";
        String key = appName + "-tenantID-" + tenantID;
        DataSourceContextHolder.setDataSourceType(key);
        String name = routerDao.goodsale();
        return name;
    }

    public String order(String tenantID) throws Exception {
        String appName = "order";
        String key = appName + "-tenantID-" + tenantID;
        DataSourceContextHolder.setDataSourceType(key);
        String str = routerDao.order();
        return str;

    }

    public String stock(String tenantID) throws Exception  {
        String appName = "stock";
        String key = appName + "-tenantID-" + tenantID;
        DataSourceContextHolder.setDataSourceType(key);
        String str = routerDao.stock();
        return str;
    }
}
